import java.io.File;
import java.io.IOException;
import java.nio.file.Files;
import java.nio.file.Path;
import java.nio.file.Paths;

public class Main {
    /*Задаем количество создаваемых файлов*/
    public static final int N = 4;


    /**
     * Функция для вывода списка файлов в заданной директории
     * @param dir Путь до директории
     * */
    private static void printFilesList(Path dir) {
        System.out.println();
        System.out.println("Список файлов в папке " + dir + ": ");
        File[] filesList = dir.toFile().listFiles();
        if (filesList.length == 0) {
            System.out.println("\tПапка пуста");
        } else {
            for (File file : filesList) {
                System.out.println("\t" + file);
            }
        }
        System.out.println();
    }

    public static void main(String[] args) throws IOException {
        /*Будем создавать временную папку в текущей директории*/
        Path rootDir = Paths.get("");

        /*Создаем временную папку*/
        Path dir = Files.createTempDirectory(rootDir, "tmp");
        System.out.println("Папка " + dir + " создана");

        /*Создаем N файлов во временной папке*/
        Path[] files = new Path[N];
        for (int i = 0; i < N; i++) {
            files[i] = Files.createTempFile(dir, "tmp", ".txt");
            System.out.println("\tФайл " + files[i] + " создан");
        }

        /*Выводим список файлов во временной папке*/
        printFilesList(dir);

        System.out.println("Удаление файлов...");

        /*Удаляем файлы из временной папки*/
        for (int i = 0; i < N; i++) {
            Files.deleteIfExists(files[i]);
        }

        /*Выводим список файлов во временной папке*/
        printFilesList(dir);

        /*Удаляем временную папку*/
        System.out.println("Удаление временной папки...");
        Files.deleteIfExists(dir);

    }
}
